package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
@TableName("account_request_funds_detail")
public class AccountRequestFundsDetail extends BasePo {
    /**
     * 请款表ID
     */
    private Long accountRequestFundsId;

    /**
     * 费用类型（字典funds_cost_type）
     */
    private String costType;

    /**
     * 请款金额
     */
    private BigDecimal amount;

    /**
     * 款项说明
     */
    private String remarks;

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 合同编码
     */
    @TableField(exist = false)
    private String contractCode;

    /**
     * 预支金额
     */
    private BigDecimal advanceAmount;

    /**
     * 数据来源类型 1合同 2ehsd样品单
     */
    private Integer dataType;

}
