package com.fjhx.mes.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.dto.ProduceOrderDetailSelectDto;
import com.fjhx.mes.entity.production.po.ProductionOrderDetail;
import com.fjhx.mes.entity.production.vo.ProductionOrderDetailVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 生产订单明细 服务类
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
public interface ProduceOrderDetailService extends BaseService<ProductionOrderDetail> {

	/**
	 * 生产任务分页
	 */
	Page<ProductionOrderDetailVo> getPage(ProduceOrderDetailSelectDto dto);
}
