package com.fjhx.supply.entity.supplier.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 供应商
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
@TableName("supplier_info")
public class SupplierInfo extends BasePo {

    /**
     * 供应商编码
     */
    private String code;

    /**
     * 供应商类型 1贸易商 2工厂
     */
    private String type;

    /**
     * 供应商名称
     */
    private String name;

    /**
     * 国家id
     */
    private Long countryId;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 市id
     */
    private Long cityId;

    /**
     * 地区明细
     */
    private String areaDetail;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 联系电话
     */
    private String contactNumber;

    /**
     * 备注
     */
    private String remark;

    /**
     * 维多利亚扩展json
     */
    private String victoriatouristJson;

    /**
     * 账户名
     */
    private String openingName;

    /**
     * 开户银行
     */
    private String openingBank;

    /**
     * 开户账号
     */
    private String accountOpening;

    /**
     * 联行号
     */
    private String interbankNumber;

    /**
     * 账期（/天）
     */
    private Integer accountPeriod;

    /**
     * 账期说明
     */
    private String accountPeriodRemark;

    /**
     * 个数
     */
    private Integer count;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 传真
     */
    private String fax;

}
