package com.fjhx.mes.entity.production.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 生产订单明细列表查询入参实体
 *
 * @author
 * @since 2024-01-10
 */
@Getter
@Setter
public class ProduceOrderDetailSelectDto extends BaseSelectDto {

    /**
     * 生产状态 0未开始 1进行中 2已完成
     */
    private Integer produceStatus;

    /**
     * 交期开始时间
     */
    private Date staDeliveryPeriod;

    /**
     * 交期结束时间
     */
    private Date endDeliveryPeriod;

}
