package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 生产订单
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
@Getter
@Setter
@TableName("production_order")
public class ProductionOrder extends BasePo {
    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 订单号
     */
    private String code;

	/**
	 * 交期
	 */
	private Date deliveryPeriod;

	/**
	 * 生产公司
	 */
	private Long produceCompanyId;

	/**
	 * 生产状态 0未开始 1进行中 2已完成
	 */
	private Integer produceStatus;

	/**
	 * 租户id
	 */
	private String tenantId;

}
