package com.fjhx.purchase.entity.subscribe.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 申购单列表查询入参实体
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
public class SubscribeDetailSelectDto extends BaseSelectDto {

    /**
     * 产品类型
     */
    private Integer productType;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 状态
     */
    private String status;

    /**
     * id集合
     */
    private List<Long> ids;

    /**
     * 收货仓库id过滤
     */
    private Long receiptWarehouseId;

    /**
     * 定义
     * 1产品
     * 2物料
     */
    private Integer definition;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 不显示指定状态
     */
    private String neStatus;

    /**
     * 产品名称
     */
    private String productName;


    /**
     * 申购编码
     */
    private String code;

    /**
     * 申购状态 0草稿 10、审批中；20、驳回  30、通过
     */
    private Integer subscribeStatus;

    /**
     * 数据类型 0申购 1销售合同
     */
    private Integer dataType;
}
